Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154327 - slab corruption freezes NFS-mounted filesystem
Summary: slab corruption freezes NFS-mounted filesystem
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-10 02:36 UTC by Alexandre Oliva
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-28 14:06:55 UTC


Attachments (Terms of Use)

Description Alexandre Oliva 2005-04-10 02:36:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
While running yum update using a local copy of rawhide mounted over NFS, I got the following logged to /var/log/messages

Slab corruption: (Not tainted) start=dc2e8a30, len=2048
Redzone: 0x5a2cf071/0x5a2cf071.
Last user: [<c0309acb>](kfree_skbmem+0x8/0x15)
010: 6b 6b 20 a0 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b ea c5
3f0: 54 5e c7 e9 f5 b7 9f 7c bd 79 3f 0e de 29 70 c4
400: 41 9c 71 53 7a d2 cf 54 ee 8a 8f 85 e4 fc 03 1f
410: 9b 86 2a 5c aa 68 a8 fa 26 36 c2 04 d1 00 ce 9e
420: 73 03 14 f3 cc 6f d1 a5 40 0b 5d a8 6f 9b d3 5a
430: 3c 3d 1e d6 8c f1 7e a7 6a cd 25 71 b6 13 8e 38
Prev obj: start=dc2e8224, len=2048
Redzone: 0x170fc2a5/0x170fc2a5.
Last user: [<c030989f>](alloc_skb+0x31/0xc1)
000: 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a
010: 5a 5a 20 a0 00 00 42 8a 2e 1c ff ff ff ff ea c5
Next obj: start=dc2e923c, len=2048
Redzone: 0x170fc2a5/0x170fc2a5.
Last user: [<c0146d20>](add_sect_attrs+0x2f/0x137)
000: 8f f9 38 c0 34 96 2e dc 58 92 2e dc 80 ee b8 e0
010: 24 01 5a 5a d3 6c 14 c0 00 00 00 00 2e 74 65 78

The machine kept running, but yum froze, and /var/log/messages had a message about the NFS server not responding any more, although it was fine.  Rebooting the NFS client fixed it.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1231_FC4.i686

How reproducible:
Didn't try

Steps to Reproduce:
1.boot into kernel-2.6.11-1.1231_FC4.i686
2.mount a rawhide-20050409 repository from an NFS server
3.configure yum to use it
4.run yum update, on a box running 20050408's rawhide

Additional info:

Comment 1 Dave Jones 2005-10-06 05:28:20 UTC
Is this still happening on the latest rawhide ?


Comment 2 Alexandre Oliva 2005-10-28 14:06:55 UTC
This has long been fixed, I believe.  I haven't seen it for a long time.


Note You need to log in before you can comment on or make changes to this bug.